org.apache.solr.client.solrj.request

## Class CollectionAdminRequest.DeleteShard

- java.lang.Object
- - org.apache.solr.client.solrj.SolrRequest<T>
  - - org.apache.solr.client.solrj.request.CollectionAdminRequest<CollectionAdminResponse>
    - - org.apache.solr.client.solrj.request.CollectionAdminRequest.AsyncCollectionAdminRequest
      - - org.apache.solr.client.solrj.request.CollectionAdminRequest.AsyncShardSpecificAdminRequest
        - - org.apache.solr.client.solrj.request.CollectionAdminRequest.DeleteShard

All Implemented Interfaces:
  Serializable

Enclosing class:
  CollectionAdminRequest<T extends CollectionAdminResponse>

    public static class CollectionAdminRequest.DeleteShard
    extends CollectionAdminRequest.AsyncShardSpecificAdminRequest

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

`CollectionAdminRequest.AddReplica, CollectionAdminRequest.AddReplicaProp, CollectionAdminRequest.AddRole, CollectionAdminRequest.AsyncCollectionAdminRequest, CollectionAdminRequest.AsyncCollectionSpecificAdminRequest, CollectionAdminRequest.AsyncShardSpecificAdminRequest, CollectionAdminRequest.Backup, CollectionAdminRequest.BalanceShardUnique, CollectionAdminRequest.ClusterProp, CollectionAdminRequest.ClusterStatus, CollectionAdminRequest.CollectionAdminRoleRequest, CollectionAdminRequest.Create, CollectionAdminRequest.CreateAlias, CollectionAdminRequest.CreateShard, CollectionAdminRequest.CreateSnapshot, CollectionAdminRequest.Delete, CollectionAdminRequest.DeleteAlias, CollectionAdminRequest.DeleteNode, CollectionAdminRequest.DeleteReplica, CollectionAdminRequest.DeleteReplicaProp, CollectionAdminRequest.DeleteShard, CollectionAdminRequest.DeleteSnapshot, CollectionAdminRequest.DeleteStatus, CollectionAdminRequest.ForceLeader, CollectionAdminRequest.List, CollectionAdminRequest.ListSnapshots, CollectionAdminRequest.Migrate, CollectionAdminRequest.MigrateClusterState, CollectionAdminRequest.OverseerStatus, CollectionAdminRequest.RebalanceLeaders, CollectionAdminRequest.Reload, CollectionAdminRequest.RemoveRole, CollectionAdminRequest.ReplaceNode, CollectionAdminRequest.RequestStatus, CollectionAdminRequest.RequestStatusResponse, CollectionAdminRequest.Restore, CollectionAdminRequest.ShardSpecificAdminRequest, CollectionAdminRequest.SplitShard`

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

`SolrRequest.METHOD`

### Field Summary

### Fields inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest.AsyncShardSpecificAdminRequest

`collection, shard`

### Fields inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest.AsyncCollectionAdminRequest

`asyncId`

### Fields inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

`action`

### Fields inherited from class org.apache.solr.client.solrj.SolrRequest

`SUPPORTED_METHODS`

### Constructor Summary

Constructors
Constructor and Description
`DeleteShard()` Deprecated. Use `CollectionAdminRequest.deleteShard(String, String)`

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`Boolean` `getDeleteDataDir()`
`Boolean` `getDeleteInstanceDir()`
`SolrParams` `getParams()`
`CollectionAdminRequest.DeleteShard` `setAsyncId(String id)` Deprecated.
`CollectionAdminRequest.DeleteShard` `setCollectionName(String collection)` Deprecated.
`CollectionAdminRequest.DeleteShard` `setDeleteDataDir(Boolean deleteDataDir)`
`CollectionAdminRequest.DeleteShard` `setDeleteInstanceDir(Boolean deleteInstanceDir)`
`CollectionAdminRequest.DeleteShard` `setShardName(String shard)` Deprecated.

### Methods inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest.AsyncCollectionAdminRequest

`createResponse, getAsyncId, processAndWait, processAndWait, processAsync, processAsync`

### Methods inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

`addProperties, addReplicaByRouteKey, addReplicaProperty, addReplicaToShard, addRole, backupCollection, balanceReplicaProperty, createAlias, createCollection, createCollection, createCollectionWithImplicitRouter, createShard, deleteAlias, deleteAllAsyncIds, deleteAsyncId, deleteCollection, deleteReplica, deleteReplicaProperty, deleteReplicasFromAllShards, deleteReplicasFromShard, deleteShard, forceLeaderElection, getClusterStatus, getContentStreams, getOverseerStatus, listCollections, migrateCollectionFormat, migrateData, rebalanceLeaders, reloadCollection, removeRole, requestStatus, restoreCollection, setClusterProperty, splitShard, waitForAsyncRequest`

### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

`getBasicAuthPassword, getBasicAuthUser, getMethod, getPath, getQueryParams, getResponseParser, getStreamingResponseCallback, process, process, setBasicAuthCredentials, setMethod, setPath, setQueryParams, setResponseParser, setStreamingResponseCallback`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DeleteShard

    @Deprecated
    public DeleteShard()

Deprecated. Use `CollectionAdminRequest.deleteShard(String, String)`

### Method Detail

#### getDeleteInstanceDir

    public Boolean getDeleteInstanceDir()

#### setDeleteInstanceDir

    public CollectionAdminRequest.DeleteShard setDeleteInstanceDir(Boolean deleteInstanceDir)

#### getDeleteDataDir

    public Boolean getDeleteDataDir()

#### setDeleteDataDir

    public CollectionAdminRequest.DeleteShard setDeleteDataDir(Boolean deleteDataDir)

#### setCollectionName

    @Deprecated
    public CollectionAdminRequest.DeleteShard setCollectionName(String collection)

Deprecated.

Specified by:
  `setCollectionName` in class `CollectionAdminRequest.AsyncShardSpecificAdminRequest`

#### setShardName

    @Deprecated
    public CollectionAdminRequest.DeleteShard setShardName(String shard)

Deprecated.

Specified by:
  `setShardName` in class `CollectionAdminRequest.AsyncShardSpecificAdminRequest`

#### setAsyncId

    @Deprecated
    public CollectionAdminRequest.DeleteShard setAsyncId(String id)

Deprecated.

Overrides:
  `setAsyncId` in class `CollectionAdminRequest.AsyncCollectionAdminRequest`

#### getParams

    public SolrParams getParams()

Overrides:
  `getParams` in class `CollectionAdminRequest.AsyncShardSpecificAdminRequest`